      PROGRAM INITIAL_DATA
      INCLUDE "../../resolution.h"
      PARAMETER(I1=I0-1,I2=I0-2,J1=J0-1,J2=J0-2,K1=K0-1,NX=4320,NY=2160)
      INTEGER*2 METERS,METS,IN,NZDAT
      COMMON/METRICS/F(J2),TANPHI(J2),
     1 Y(J0),YV(J0),YVDEG(J0),DYDEG(J0),YDEG(J0),
     2 CS(J0),CSV(J1),OCS(J0),OCSV(J1),
     3 DX(J0),DXV(J1),ODX(J0),ODXV(J1),
     4 DY(J0),DYV(J1),ODY(J0),ODYV(J1),
     5 Z(K0+K1),ODZ(K1),ODZW(K0)
      DIMENSION RMETS(I0,J0),T1(I0,J0,K1),S1(I0,J0,K1),TAUX(I2,J2),
     1 TAUY(I2,J2),IN(I0,J0)

C ======================================================================
C I0= number of grid points in the x-direction including ghost zones
C J0= number of grid points in the y-direction including ghost zones
C ======================================================================
C ================
C Input data files
C ================
      OPEN(10,file='YZGRID',form='unformatted')

C =================
C Output data files
C =================
      OPEN(8,file='depth',form='unformatted')
C File for initial T, S, U, V
      OPEN(14,file='inview')
      OPEN(70,file='init0',form='unformatted')
c     OPEN(71,file='surface',form='unformatted')
      REWIND 8
      REWIND 14
      REWIND 70
c     REWIND 71
 
C ==============================================
C Read metrics data file YZGRID (from metrics.f)
C ==============================================
      READ(10) F,TLZ,Z,ODZ,ODZW,
     1 Y,YV,CS,CSV,OCS,OCSV,DX,DXV,ODX,ODXV,DY,DYV,ODY,ODYV

C Ezer and Mellor (2004) sill depth = 600m
      ZZ=600.
      DZZ=.01*Z(3)
      DO 103 J=J1,2,-1
      DO 102 I=2,I1
      IN(I,J)=1
 102  RMETS(I,J)=ZZ
 103  ZZ=ZZ+DZZ
      WRITE(8) RMETS
 
      TMP=K1
      I=I0/2
      DO 122 J=2,J1
 122  IN(I,J)=MIN(TMP,RMETS(I,J)/(.01*Z(3)))
      WRITE(*,125) (IN(I,J),J=J1,2,-1)
 125  FORMAT(50I3)
 
C BD97 sill problem
      TMAX=15.
      TMIN=15.-10.*22./36.
      TINC=-(TMAX-TMIN)/K1
C top layer density
      TMP=TMAX
C DOME initial stratification was 2 kg/m3 over 3600m depth
C this is equivalent to 10 deg with our e.o.s.
C Our DOME stratification for 2200m/3600m of DOME depth is thus
C 22/36 X 10 deg
      DO 312 K=1,K1
C linear stratification
      N=.01*Z(2*K)
      WRITE(*,301) K,N,TMP
 301  FORMAT('k,depth(m), temperature:',2I5,F6.2)
      DO 310 J=1,J0
      DO 310 I=1,I0
      T1(I,J,K)=TMP
 310  S1(I,J,K)=35.
 312  TMP=TMP+TINC
C ===================================
C Write initial data for modeled grid
C ===================================
 326  WRITE(70) S1,T1
c     WRITE(71) ((S1(I,J,1),I=2,I1),J=2,J1),((T1(I,J,1),I=2,I1),J=2,J1),
c    1 TAUX,TAUY
      END
