C ----------------------------------------------------------------------
      PROGRAM METRICS
C "DOME" problem
C ----------------------------------------------------------------------
      INCLUDE '../../resolution.h'
      PARAMETER(I2=I0-2,J1=J0-1,J2=J0-2,K1=K0-1)
      COMMON/METRIX/F(J2),TANPHI(J2),
     1 Y(J0),YV(J0),YVDEG(J0),YDEG(J0),
     2 CS(J0),CSV(J1),OCS(J0),OCSV(J1),
     3 DX(J0),DXV(J1),ODX(J0),ODXV(J1),
     4 DY(J0),DYV(J1),ODY(J0),ODYV(J1),
     5 Z(K0+K1),ODZ(K1),ODZW(K0)

Cartesian metrics

C output data
      OPEN(17,file='KBVIEW')
      OPEN(10,file='YZGRID',form='unformatted')
      REWIND 10
      REWIND 17

C high resolution case of Ezer and Mellor (2004):
C DX=2.5km, 1100km X 400km horizontal domain, DZ=25m, max depth=2200m

C DieCAST setup:
C I0=112, K0=23 gives 1/4 the Ezer and Mellor resolution
C K0=23 gives 100m vertical resolution
C I0=112 gives 10km horizontal resolution

      TLX=1100.E5
      TLZ=2200.E2
      DZ0=TLZ/(K0-1)
      TMP=.5*DZ0
      Z(1)=0.
      DO 5 K=2,K0+K1
 5    Z(K)=Z(K-1)+TMP
      DO 7 K=1,K1
 7    ODZ(K)=1./DZ0
C ODZW(1,I,J) and ODZW(K0,I,J) are not used
      DO 8 K=1,K0
 8    ODZW(K)=1./DZ0

      WRITE(*,9) (.01*Z(K),K=1,K0+K1,2)
      WRITE(17,9) (.01*Z(K),K=1,K0+K1,2)
 9    FORMAT('z-levels(m)'/(10F8.2))

      DO 12 J=2,J0
      DX(J)=TLX/I2
      DY(J)=DX(J)
      DYV(J-1)=DX(J)
      ODY(J)=1./DY(J)
      ODYV(J-1)=1./DYV(J-1)
      YV(J)=YV(J-1)+DY(J)
      Y(J)=.5*(YV(J)+YV(J-1))
      OCS(J)=1.
      ODX(J)=1./DX(J)
      CSV(J-1)=1.
      OCSV(J-1)=1.
      DXV(J-1)=DX(J)
 12   ODXV(J-1)=1./DXV(J-1)
      ODX(1)=ODX(2)
C ----------------------------
C SET CORIOLIS PARAMETER ARRAY
C ----------------------------
      PI_180=3.141592654/180.
      OMEGA2=3.141592654/21600.
      DEG_LAT=45.
      DO 19 J=2,J1
 19   F(J-1)=OMEGA2*SIN(PI_180*DEG_LAT)
      WRITE(10) F,TLZ,Z,ODZ,ODZW,
     1 Y,YV,CS,CSV,OCS,OCSV,DX,DXV,ODX,ODXV,DY,DYV,ODY,ODYV
      END
